%bcond_with bootstrap

Name:           plexus-components-pom
Version:        14.2
Release:        %mkrel 2
Group:          Development/Java
Summary:        Plexus Components POM
License:        ASL 2.0
URL:            https://github.com/codehaus-plexus/plexus-components
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://repo.maven.apache.org/maven2/org/codehaus/plexus/plexus-components/%{version}/plexus-components-%{version}.pom
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus:pom:)
%endif

%description
This package provides Plexus Components parent POM used by different
Plexus packages.

%prep
%setup -qcT
cp -p %{SOURCE0} pom.xml
cp -p %{SOURCE1} LICENSE

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 14.2-2.mga10
+ Revision: 2223474
- Mageia 10 Mass Rebuild

* Fri May 24 2024 ns80 <ns80> 14.2-1.mga10
+ Revision: 2067355
- new version 14.2 for java 21

* Mon Jul 25 2022 neoclust <neoclust> 6.6-2.mga9
+ Revision: 1871109
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 6.6-1.mga9
+ Revision: 1870885
- New version 6.6
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Mar 02 2021 daviddavid <daviddavid> 6.5-1.mga9
+ Revision: 1695929
- Update to version 6.5

* Fri Aug 21 2020 neoclust <neoclust> 6.4-1.mga8
+ Revision: 1617230
- New version 6.4

* Wed Feb 12 2020 umeabot <umeabot> 1.3.1-10.mga8
+ Revision: 1499266
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.3.1-9.mga7
+ Revision: 1274439
- Mageia 7 Mass Rebuild

* Mon May 08 2017 neoclust <neoclust> 1.3.1-8.mga6
+ Revision: 1099600
- Regenerate build-requires
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.3.1-6.mga6
+ Revision: 977763
- First rebuild of the java stack
- sync package plexus-components-pom with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 1.3.1-1.mga5
+ Revision: 807760
- Sync with Fedora 21 (update to 1.3.1)

* Wed Oct 15 2014 umeabot <umeabot> 1.2-7.mga5
+ Revision: 750677
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.2-5.mga4
+ Revision: 545680
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 1.2-4.mga4
+ Revision: 501550
- Build with xmvn

* Sun Jan 13 2013 umeabot <umeabot> 1.2-3.mga3
+ Revision: 377881
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 dmorgan <dmorgan> 1.2-2.mga3
+ Revision: 324033
- imported package plexus-components-pom


* Mon Nov 12 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2-2
- Install LICENSE file

* Wed Oct 31 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2-1
- Initial packaging
